<?php
	$status = (isset($_GET['status']) ? intval($_GET['status']) : 0);

	if($status < 3 || $status > 7){ system :: redirect("Данный вид семейного положения не нуждается в партнёре..", "{$thisLink}?act=anketa/edit",1); }

	$title = $l = "Анкета - Редактирование - Выбор партнера";
	require (CORE."head.php");
		?>
<div class='app-block'>
	<div class="list _bg-blue _gray">
	Пользователь, которого Вы выбрали, должен будет подтвердить факт ваших отношений, выбрав Вас у себя на странице.
	</div>
	<?php
	$query = "SELECT * FROM `friends` INNER JOIN `users` ON `friends`.`id_friend`=`users`.`id` WHERE `users`.`info_sex` <> '{$user['info_sex']}' AND `friends`.`id_user` = '".$user['id']."' ORDER BY `friends`.`id` DESC";
	$total = DB :: $pdo -> querySingle("SELECT COUNT(*) FROM `friends` INNER JOIN `users` ON `friends`.`id_friend`=`users`.`id` WHERE `users`.`info_sex` <> '{$user['info_sex']}' AND `friends`.`id_user` = '".$user['id']."'");
	if($total > 10) {
		$p = (($_GET['p']) ? intval($_GET['p']) : 1);
		$pagination = new pagination(10, $total, $p);
		$query .= $pagination -> limit;
	}	
	$q = DB :: $pdo -> query("{$query}");


	$i = 0;
	while($r = $q -> fetch()) {
		$data = profile :: getUser($r['id_friend']);
		echo system :: touch("{$thisLink}&amp;partner={$data['id']}&amp;status={$status}", "
			<div class=\"post-l\">
				".profile :: userAvatar($data,3)."
			</div>
			<div class=\"post-c\">
				<span class=\"_name\">".profile :: getName($data)."</span>
			</div>
			");
	}

	if($total > 10) $pagination -> printPages("{$thisLink}?act=anketa/edit&amp;select_partner=1&amp;status={$status}&amp;"); 
	echo system :: back("{$thisLink}?act=anketa/edit&amp;status={$status}","Назад");
	require (CORE."foot.php");
